SECURE_PATH(3)

NAME
secure_path - determine if a file appears to be ``secure''

LIBRARY
libutil

SYNOPSIS
#include <util.h>
int
secure_path(const char *path);

DESCRIPTION
The secure_path() function takes a path name and returns zero if the referenced file is “secure”, non-zero if not. Any “insecurity”, other than failure to access the referenced file, will be logged to the system log.

To be “secure”, the referenced file must exist, be a regular file (and not a directory), owned by the super-user, and writable only by the super-user.

SEE ALSO
openlog(3)

HISTORY
The secure_path() function is based on the BSD/OS implementation of same, and appeared in NetBSD 1.5 by kind permission.